VERSION 4.00
Begin VB.Form InputForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "InputForm"
   ClientHeight    =   1305
   ClientLeft      =   4410
   ClientTop       =   1425
   ClientWidth     =   4740
   ControlBox      =   0   'False
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   0
      weight          =   700
      size            =   8.25
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   1710
   Left            =   4350
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1305
   ScaleWidth      =   4740
   Top             =   1080
   Width           =   4860
   Begin VB.CommandButton Help 
      Caption         =   "&Help"
      Height          =   330
      Left            =   3600
      TabIndex        =   4
      Top             =   840
      Width           =   1035
   End
   Begin VB.TextBox Answer 
      Height          =   315
      Left            =   1800
      TabIndex        =   1
      Top             =   240
      Width           =   2835
   End
   Begin VB.CommandButton Cancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   330
      Left            =   2460
      TabIndex        =   3
      Top             =   840
      Width           =   1035
   End
   Begin VB.CommandButton OK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   330
      Left            =   1320
      TabIndex        =   2
      Top             =   840
      Width           =   1035
   End
   Begin MSComDlg.CommonDialog HelpDialog 
      Left            =   60
      Top             =   780
      _Version        =   65536
      _ExtentX        =   847
      _ExtentY        =   847
      _StockProps     =   0
   End
   Begin VB.Label Question 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Question:"
      Height          =   195
      Left            =   105
      TabIndex        =   0
      Top             =   315
      UseMnemonic     =   0   'False
      Width           =   825
   End
End
Attribute VB_Name = "InputForm"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
' InputBox.Frm
' Form used by InputBox.Bas
' (see that for more information)
' 1994-1997 Tuomas Salste (vbshop@netgate.net)

Option Explicit

Public CharCase As Long
Private Sub Answer_Change()

If CharCase Then
    ChangeCase Answer
End If

End Sub

Private Sub Answer_GotFocus()

Answer.SelStart = 0
Answer.SelLength = Len(Answer)

End Sub

Private Sub Cancel_Click()

Answer = ""
Tag = ""
Hide

End Sub

Private Sub ChangeCase(t As TextBox)

Dim ss As Integer
ss = t.SelStart

Select Case CharCase
    Case IBUcase
        t = UCase(t)
    Case IBLcase
        t = LCase(t)
    Case Else
End Select

t.SelStart = ss

End Sub

Private Sub Form_Activate()

Dim RightBorder As Long
Const MARG = 50

Question.Refresh
Answer.Left = Question.Left + Question.Width + MARG
Answer.Width = ScaleWidth - Answer.Left - MARG

Answer.SetFocus
MousePointer = vbDefault

End Sub

Private Sub Form_Unload(Cancel As Integer)

Tag = ""

End Sub

Private Sub Help_Click()

With HelpDialog
    .HelpFile = App.HelpFile
    .HelpCommand = cdlHelpContext
    .HelpContext = HelpContextID
    .ShowHelp
End With

End Sub

Private Sub OK_Click()

Tag = "OK"
Hide

End Sub

